%define prefix /opt/vorbis-cvs

Summary: A free compressed audio format
Name: vorbis-cvs
Version: 20001213
Release: 0
Source: http://www.xiph.org/ogg/vorbis/download/vorbis_nightly_cvs.tgz
Copyright: GPL
Group: Applications/Multimedia
Packager: Tamito KAJIYAMA <kajiyama@grad.sccs.chukyo-u.ac.jp>
Url: http://www.xiph.org/ogg/vorbis/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality audio and
music at fixed and variable bitrates from 16 to 128 kbps/channel.

%changelog
* Tue Dec  5 2000 Tamito KAJIYAMA <kajiyama@grad.sccs.chukyo-u.ac.jp>
- wrote the spec file from scratch

%prep

%setup -c -n ${RPM_PACKAGE_NAME}

%build
cd ogg
./autogen.sh --prefix=%{prefix}
make
make install prefix=${RPM_BUILD_ROOT}%{prefix}
cd ../ao
./autogen.sh --prefix=%{prefix}
make
make install prefix=${RPM_BUILD_ROOT}%{prefix}
cd ../vorbis
LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{prefix}/lib \
./autogen.sh --prefix=%{prefix} \
             --with-ogg-prefix=${RPM_BUILD_ROOT}%{prefix}
make
make install prefix=${RPM_BUILD_ROOT}%{prefix}
cd ../vorbis-tools
LDFLAGS="-Wl,-rpath -Wl,%{prefix}/lib" \
LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{prefix}/lib \
./autogen.sh --prefix=%{prefix} \
             --with-ogg-prefix=${RPM_BUILD_ROOT}%{prefix} \
             --with-vorbis-prefix=${RPM_BUILD_ROOT}%{prefix} \
             --with-ao-prefix=${RPM_BUILD_ROOT}%{prefix}
make
make install prefix=${RPM_BUILD_ROOT}%{prefix}

%install
mv ${RPM_BUILD_ROOT}%{prefix}/share/{doc,man} ${RPM_BUILD_ROOT}%{prefix}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/doc/*
%{prefix}/include/*
%{prefix}/lib/*
%{prefix}/man/man1/*
%{prefix}/share/aclocal/*

